%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           django-sorl-thumbnail
Version:        3.2
Release:        1%{?dist}
Summary:        Thumbnail template tag for Django

Group:          Development/Languages
License:        BSD
URL:            http://code.google.com/p/sorl-thumbnail
Source0:        http://sorl-thumbnail.googlecode.com/files/sorl-thumbnail-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       Django
Requires:       python-imaging

%description
The sorl.thumbnail package provides an easy way to generate image thumbnails
by using either the {%% thumbnail %%} template tag or the
ImageWithThumbnailsField.

It requires the Python Imaging Library (PIL). 

%prep
%setup -q -n sorl-thumbnail-%{version}

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Sat Aug 15 2009 Tim Niemueller <timn@fedoraproject.org> 3.2-1
- Initial RPM release

